Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface ParamForPoint

    @UML(identifier="paramForPoint",
         specification=ISO_19107)
    public interface ParamForPoint

The curve parameter for a point. This is the result of call to `GenericCurve.getParamForPoint(org.opengis.geometry.DirectPosition)`.

Since:
  GeoAPI 1.0
Version:
  ISO 19107

Method Summary
`double` | `getDistance()` Returns the first value in the distances set.
`Set<Number>` | `getDistances()` Returns the parameter distance computed by `getParamForPoint(p)`.
`DirectPosition` | `getPosition()` Returns the actual value for the direct position used by `getParamForPoint(p)`.

Method Detail

### getDistances

    Set<Number> getDistances()

  Returns the parameter distance computed by `getParamForPoint(p)`. The output will contain only one distance, unless the curve is not simple. If there is more than one direct position on the generic curve at the same minimal distance from the passed "`p`", the return value may be an arbitrary choice of one of the possible answers.

  Returns:
    The parameter distance.
  Since:
    GeoAPI 2.1
  Unit:
    Distance

### getDistance

    @Extension
    double getDistance()

  Returns the first value in the distances set.

  Returns:
    The parameter distance.
  Unit:
    Distance

### getPosition

    DirectPosition getPosition()

  Returns the actual value for the direct position used by `getParamForPoint(p)`. That is, it shall be the point on the generic curve closest to the coordinate passed in as the "`p`" argument.

  Returns:
    The actual position used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.